# This file is part of SSHare.
#
# SSHare is free software: you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# SSHare is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# SSHare. If not, see <https://www.gnu.org/licenses/>.

import sys

from sshare.plugin import Plugin

class Logger:
    def __init__(self, *args, **kwargs):
        if kwargs.get("command_line"):
            self._loggers = [ kwargs["command_line"] ]
        else:
            self._loggers = []
        self.add(*args)

    def add(self, *args, **kwargs):
        for logger in args:
            self._loggers.append()

    def info(self, message):
        for logger in self._loggers:
            logger.info(message)

    def warn(self, message):
        for logger in self._loggers:
            logger.warn(message)

    def error(self, message):
        for logger in self._loggers:
            logger.error(message)

    def fatal(self, message, error_code=1):
        self.error(message)
        sys.exit(error_code)
